"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RowContainer = void 0;

var _styledComponents = _interopRequireWildcard(require("styled-components"));

function _getRequireWildcardCache(nodeInterop) {
  if (typeof WeakMap !== "function") return null;
  var cacheBabelInterop = new WeakMap();
  var cacheNodeInterop = new WeakMap();
  return (_getRequireWildcardCache = function (nodeInterop) {
    return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
  })(nodeInterop);
}

function _interopRequireWildcard(obj, nodeInterop) {
  if (!nodeInterop && obj && obj.__esModule) {
    return obj;
  }

  if (obj === null || typeof obj !== "object" && typeof obj !== "function") {
    return {
      default: obj
    };
  }

  var cache = _getRequireWildcardCache(nodeInterop);

  if (cache && cache.has(obj)) {
    return cache.get(obj);
  }

  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;

  for (var key in obj) {
    if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;

      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }

  newObj.default = obj;

  if (cache) {
    cache.set(obj, newObj);
  }

  return newObj;
}

const RowContainer = _styledComponents.default.div`
  max-width: 1440px;
  display: flex;
  flex-wrap: wrap;
  column-gap: ${({
  theme
}) => theme.spacing.flexbox.spacingXS};

  @media only screen and (min-width: 413px) and (max-width: 1420px) {
    column-gap: ${({
  theme
}) => theme.spacing.flexbox.spacingS};
  }

  @media only screen and (min-width: 1440px) {
    column-gap: ${({
  theme
}) => theme.spacing.flexbox.spacingM};
  }

  ${({
  fullWidth
}) => !fullWidth && (0, _styledComponents.css)`
      margin-left: ${({
  theme
}) => theme.spacing.flexbox.spacingS};
      margin-right: ${({
  theme
}) => theme.spacing.flexbox.spacingS};

      @media only screen and (min-width: 413px) and (max-width: 1420px) {
        margin-left: ${({
  theme
}) => theme.spacing.flexbox.spacingL};
        margin-right: ${({
  theme
}) => theme.spacing.flexbox.spacingL};
      }

      @media only screen and (min-width: 1440px) and (max-width: 1559px) {
        margin-left: ${({
  theme
}) => theme.spacing.flexbox.spacing2XL};
        margin-right: ${({
  theme
}) => theme.spacing.flexbox.spacing2XL};
      }

      @media only screen and (min-width: 1600px) {
        margin-left: ${({
  theme
}) => theme.spacing.flexbox.spacing3XL};
        margin-right: ${({
  theme
}) => theme.spacing.flexbox.spacing3XL};
      }
    `}
`;
exports.RowContainer = RowContainer;