"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ColumnContainer = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const calculateChildrens = size => {
  const childrens = Math.round(100 / size.replace('%', ''));
  return childrens === 1 ? childrens + 1 : childrens;
};

const ColumnContainer = _styledComponents.default.div`
  --childrens-xs: ${({
  size
}) => calculateChildrens(size.xs)};
  --childrens-sm: ${({
  size
}) => calculateChildrens(size.sm)};
  --childrens-md: ${({
  size
}) => calculateChildrens(size.md)};
  --childrens-lg: ${({
  size
}) => calculateChildrens(size.lg)};

  width: ${({
  size,
  theme
}) => size.xs !== '100%' ? `calc(${size.xs} - (${theme.tokens.flexbox.XS} * (var(--childrens-xs) - 1)) / var(--childrens-xs))` : '100%'};

  @media only screen and (min-width: 413px) and (max-width: 1439px) {
    width: ${({
  size,
  theme
}) => size.sm !== '100%' ? `calc(${size.sm} - (${theme.tokens.flexbox.S} * (var(--childrens-sm) - 1)) / var(--childrens-sm))` : '100%'};
  }

  @media only screen and (min-width: 1440px) and (max-width: 1599px) {
    width: ${({
  size,
  theme
}) => size.md !== '100%' ? `calc(${size.md} - (${theme.tokens.flexbox.M} * (var(--childrens-md) - 1)) / var(--childrens-md))` : '100%'};
  }

  @media only screen and (min-width: 1600px) {
    width: ${({
  size,
  theme
}) => size.lg !== '100%' ? `calc(${size.lg} - (${theme.tokens.flexbox.M} * (var(--childrens-lg) - 1)) / var(--childrens-lg))` : '100%'};
  }
`;
exports.ColumnContainer = ColumnContainer;