"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.colors = void 0;

var _colors = require("../../tokens/default/colors.js");

const colors = {
  content: {
    primary: _colors.colors.navy[700],
    secondary: _colors.colors.navy[600],
    tertiary: _colors.colors.navy[500],
    accent: _colors.colors.cyan[700],
    danger: _colors.colors.red[600],
    warning: _colors.colors.amber[500],
    success: _colors.colors.green[600],
    inverse: {
      primary: _colors.colors.neutral[100],
      secondary: _colors.colors.neutral[200],
      tertiary: _colors.colors.neutral[300],
      accent: _colors.colors.cyan[500]
    }
  },
  background: {
    primary: _colors.colors.neutral[100],
    secondary: _colors.colors.navy[100],
    brand: _colors.colors.cyan[700],
    brandDark: _colors.colors.navy[700],
    danger: {
      base: _colors.colors.red[600],
      subtle: _colors.colors.red[100]
    },
    warning: {
      base: _colors.colors.amber[500],
      subtle: _colors.colors.amber[100]
    },
    success: {
      base: _colors.colors.green[600],
      subtle: _colors.colors.green[100]
    }
  },
  action: {
    background: {
      primary: {
        base: {
          default: _colors.colors.yellow[700],
          hover: _colors.colors.yellow[500],
          active: _colors.colors.yellow[500],
          disabled: _colors.colors.yellow[300]
        },
        subtle: {
          default: _colors.colors.yellow[300],
          hover: _colors.colors.yellow[400],
          active: _colors.colors.yellow[400],
          disabled: _colors.colors.yellow[100]
        }
      },
      secondary: {
        base: {
          default: _colors.colors.cyan[700],
          hover: _colors.colors.cyan[500],
          active: _colors.colors.cyan[500],
          disabled: _colors.colors.cyan[300]
        },
        subtle: {
          default: _colors.colors.cyan[300],
          hover: _colors.colors.cyan[400],
          active: _colors.colors.cyan[400],
          disabled: _colors.colors.cyan[100]
        }
      },
      tertiary: {
        base: {
          default: _colors.colors.navy[700],
          hover: _colors.colors.navy[500],
          active: _colors.colors.navy[500],
          disabled: _colors.colors.navy[300]
        },
        subtle: {
          default: _colors.colors.navy[200],
          hover: _colors.colors.navy[400],
          active: _colors.colors.navy[400],
          disabled: _colors.colors.navy[100]
        }
      },
      danger: {
        default: _colors.colors.red[600],
        hover: _colors.colors.red[700],
        active: _colors.colors.red[700],
        disabled: _colors.colors.red[200]
      },
      success: {
        default: _colors.colors.green[600],
        hover: _colors.colors.green[700],
        active: _colors.colors.green[700],
        disabled: _colors.colors.green[200]
      },
      warning: {
        default: _colors.colors.amber[500],
        hover: _colors.colors.amber[700],
        active: _colors.colors.amber[700],
        disabled: _colors.colors.amber[200]
      }
    },
    textIcon: {
      primary: {
        default: _colors.colors.navy[700],
        hover: _colors.colors.navy[600],
        disabled: _colors.colors.navy[300],
        inverse: {
          default: _colors.colors.neutral[100],
          hover: _colors.colors.neutral[200],
          disabled: _colors.colors.neutral[500]
        }
      },
      secondary: {
        default: _colors.colors.cyan[700],
        hover: _colors.colors.cyan[600],
        disabled: _colors.colors.cyan[300]
      },
      tertiary: {
        default: _colors.colors.navy[500],
        hover: _colors.colors.navy[700],
        disabled: _colors.colors.navy[300]
      },
      danger: {
        default: _colors.colors.red[600],
        hover: _colors.colors.red[800],
        disabled: _colors.colors.red[300]
      },
      success: {
        default: _colors.colors.green[600],
        hover: _colors.colors.green[800],
        disabled: _colors.colors.green[200]
      },
      warning: {
        default: _colors.colors.amber[500],
        hover: _colors.colors.amber[700],
        disabled: _colors.colors.amber[200]
      },
      input: {
        default: _colors.colors.navy[700],
        hover: _colors.colors.navy[400],
        disabled: _colors.colors.navy[300]
      }
    }
  },
  border: {
    primary: _colors.colors.navy[300],
    secondary: _colors.colors.navy[200],
    tertiary: _colors.colors.navy[500],
    focus: _colors.colors.cyan[700],
    danger: _colors.colors.red[600],
    warning: _colors.colors.amber[500],
    success: _colors.colors.green[600],
    dark: _colors.colors.navy[700]
  }
};
exports.colors = colors;