export declare const bolttechTheme: {
    colors: {
        content: {
            primary: string;
            secondary: string;
            tertiary: string;
            accent: string;
            danger: string;
            warning: string;
            success: string;
            inverse: {
                primary: string;
                secondary: string;
                tertiary: string;
                accent: string;
            };
        };
        background: {
            primary: string;
            secondary: string;
            brand: string;
            brandDark: string;
            danger: {
                base: string;
                subtle: string;
            };
            warning: {
                base: string;
                subtle: string;
            };
            success: {
                base: string;
                subtle: string;
            };
        };
        action: {
            background: {
                primary: {
                    base: {
                        default: string;
                        hover: string;
                        active: string;
                        disabled: string;
                    };
                    subtle: {
                        default: string;
                        hover: string;
                        active: string;
                        disabled: string;
                    };
                };
                secondary: {
                    base: {
                        default: string;
                        hover: string;
                        active: string;
                        disabled: string;
                    };
                    subtle: {
                        default: string;
                        hover: string;
                        active: string;
                        disabled: string;
                    };
                };
                tertiary: {
                    base: {
                        default: string;
                        hover: string;
                        active: string;
                        disabled: string;
                    };
                    subtle: {
                        default: string;
                        hover: string;
                        active: string;
                        disabled: string;
                    };
                };
                danger: {
                    default: string;
                    hover: string;
                    active: string;
                    disabled: string;
                };
                success: {
                    default: string;
                    hover: string;
                    active: string;
                    disabled: string;
                };
                warning: {
                    default: string;
                    hover: string;
                    active: string;
                    disabled: string;
                };
            };
            textIcon: {
                primary: {
                    default: string;
                    hover: string;
                    disabled: string;
                    inverse: {
                        default: string;
                        hover: string;
                        disabled: string;
                    };
                };
                secondary: {
                    default: string;
                    hover: string;
                    disabled: string;
                };
                tertiary: {
                    default: string;
                    hover: string;
                    disabled: string;
                };
                danger: {
                    default: string;
                    hover: string;
                    disabled: string;
                };
                success: {
                    default: string;
                    hover: string;
                    disabled: string;
                };
                warning: {
                    default: string;
                    hover: string;
                    disabled: string;
                };
                input: {
                    default: string;
                    hover: string;
                    disabled: string;
                };
            };
        };
        border: {
            primary: string;
            secondary: string;
            tertiary: string;
            focus: string;
            danger: string;
            warning: string;
            success: string;
            dark: string;
        };
    };
    typography: {
        desktop: {
            heading: {
                h1: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                h1Light: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                h2: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                h3: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                h4: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
            };
            body: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
            };
            label: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
            };
            input: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
            };
        };
        mobile: {
            heading: {
                h1: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                h1Light: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                h2: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                h3: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                h4: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
            };
            body: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
            };
            label: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
            };
            input: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                };
            };
        };
    };
    spacing: import("../../../shared/types/bolttech-theme-provider.type.js").SpacingType;
    effects: {
        shadow: {
            20: string;
            40: string;
            60: string;
            80: string;
            100: string;
        };
    };
};
