"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.typography = void 0;

var _typography = require("../../tokens/default/typography.js");

const typography = {
  desktop: {
    heading: {
      h1: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.bold,
        lineHeight: _typography.typography.lineHeight[400],
        fontSize: _typography.typography.fontSize[500],
        letterSpacing: _typography.typography.letterSpacing.spacingS
      },
      h1Light: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.light,
        lineHeight: _typography.typography.lineHeight[400],
        fontSize: _typography.typography.fontSize[500],
        letterSpacing: _typography.typography.letterSpacing.spacingS
      },
      h2: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.bold,
        lineHeight: _typography.typography.lineHeight[350],
        fontSize: _typography.typography.fontSize[400],
        letterSpacing: _typography.typography.letterSpacing.spacingS
      },
      h3: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.bold,
        lineHeight: _typography.typography.lineHeight[300],
        fontSize: _typography.typography.fontSize[300],
        letterSpacing: _typography.typography.letterSpacing.spacingM
      },
      h4: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.bold,
        lineHeight: _typography.typography.lineHeight[250],
        fontSize: _typography.typography.fontSize[200],
        letterSpacing: _typography.typography.letterSpacing.spacingL
      }
    },
    body: {
      primary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.regular,
        lineHeight: _typography.typography.lineHeight[200],
        fontSize: _typography.typography.fontSize[100],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      },
      secondary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.regular,
        lineHeight: _typography.typography.lineHeight[150],
        fontSize: _typography.typography.fontSize[75],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      },
      tertiary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.regular,
        lineHeight: _typography.typography.lineHeight[150],
        fontSize: _typography.typography.fontSize[75],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      }
    },
    label: {
      primary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.bold,
        lineHeight: _typography.typography.lineHeight[200],
        fontSize: _typography.typography.fontSize[100],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      },
      secondary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.bold,
        lineHeight: _typography.typography.lineHeight[100],
        fontSize: _typography.typography.fontSize[75],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      },
      tertiary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.bold,
        lineHeight: _typography.typography.lineHeight[100],
        fontSize: _typography.typography.fontSize[50],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      }
    },
    input: {
      primary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.regular,
        lineHeight: _typography.typography.lineHeight[150],
        fontSize: _typography.typography.fontSize[75],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      },
      secondary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.regular,
        lineHeight: _typography.typography.lineHeight[50],
        fontSize: _typography.typography.fontSize[50],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      }
    }
  },
  mobile: {
    heading: {
      h1: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.bold,
        lineHeight: _typography.typography.lineHeight[50],
        fontSize: _typography.typography.fontSize[300],
        letterSpacing: _typography.typography.letterSpacing.spacingM
      },
      h1Light: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.light,
        lineHeight: _typography.typography.lineHeight[50],
        fontSize: _typography.typography.fontSize[300],
        letterSpacing: _typography.typography.letterSpacing.spacingM
      },
      h2: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.bold,
        lineHeight: _typography.typography.lineHeight[250],
        fontSize: _typography.typography.fontSize[200],
        letterSpacing: _typography.typography.letterSpacing.spacingL
      },
      h3: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.bold,
        lineHeight: _typography.typography.lineHeight[200],
        fontSize: _typography.typography.fontSize[150],
        letterSpacing: _typography.typography.letterSpacing.spacingL
      },
      h4: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.bold,
        lineHeight: _typography.typography.lineHeight[200],
        fontSize: _typography.typography.fontSize[125],
        letterSpacing: _typography.typography.letterSpacing.spacingL
      }
    },
    body: {
      primary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.regular,
        lineHeight: _typography.typography.lineHeight[200],
        fontSize: _typography.typography.fontSize[100],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      },
      secondary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.regular,
        lineHeight: _typography.typography.lineHeight[150],
        fontSize: _typography.typography.fontSize[75],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      },
      tertiary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.regular,
        lineHeight: _typography.typography.lineHeight[150],
        fontSize: _typography.typography.fontSize[75],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      }
    },
    label: {
      primary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.bold,
        lineHeight: _typography.typography.lineHeight[200],
        fontSize: _typography.typography.fontSize[100],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      },
      secondary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.bold,
        lineHeight: _typography.typography.lineHeight[100],
        fontSize: _typography.typography.fontSize[75],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      },
      tertiary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.bold,
        lineHeight: _typography.typography.lineHeight[100],
        fontSize: _typography.typography.fontSize[50],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      }
    },
    input: {
      primary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.regular,
        lineHeight: _typography.typography.lineHeight[150],
        fontSize: _typography.typography.fontSize[75],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      },
      secondary: {
        fontFamily: _typography.typography.fontFamily.primary,
        fontWeight: _typography.typography.fontWeight.regular,
        lineHeight: _typography.typography.lineHeight[50],
        fontSize: _typography.typography.fontSize[50],
        letterSpacing: _typography.typography.letterSpacing.spacingXL
      }
    }
  }
};
exports.typography = typography;